Subject: Re: How does --assume-unchanged impact git-p4?

From: Pete Wyckoff <[email-masked]>
Date: Sun, 25 Mar 2012 09:55:48 -0400

[email-masked] wrote on Fri, 09 Mar 2012 10:58 -0500:
> My workplace uses Perforce, so I've started using git-p4 to interface
> with it.  Some of the files included in our depot are cached
> pre-compiled binaries which do a great deal of damage to git's
> performance, so after some research I found that I can "git update-index
> --assume-unchanged" on these files.  This is great except that now I'm
> worried that this might prevent git-p4 from doing its thing when someone
> else updates these files.
> 
> So am I going to miss updates to our cached binaries using this method?
> Is there a better method I should be using in this scenario?

When you use "git-p4 sync" to pull content from p4, it doesn't
look at any of the existing files.  Then when you rebase or
merge, changes from p4 will show up in your workspace okay, again
regardless of the setting of --assume-unchanged.

The risks outlined in the documentation for git-update-index are
still there, but using git-p4 shouldn't add any new ones.

		-- Pete